List Regions
curl --request GET \
--url https://scrapebadger.com/v1/duckduckgo/regions \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/duckduckgo/regions"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/duckduckgo/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"regions": [
{
"code": "<string>",
"name": "<string>"
}
],
"count": 123
}Reference
List Regions
List all supported DuckDuckGo region (kl) codes.
GET
/
v1
/
duckduckgo
/
regions
List Regions
List every DuckDuckGo region (
kl) code accepted by the region parameter.
This endpoint is free.
Credits: 0
Authorization
string
required
Your ScrapeBadger API key.
Response
Region[]
integer
Number of regions.
Example
curl "https://scrapebadger.com/v1/duckduckgo/regions" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch("https://scrapebadger.com/v1/duckduckgo/regions", {
headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY },
});
const { regions } = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/duckduckgo/regions",
headers={"X-API-Key": "YOUR_API_KEY"},
)
regions = res.json()["regions"]
Response
{
"regions": [
{ "code": "wt-wt", "name": "All Regions" },
{ "code": "ar-es", "name": "Argentina" },
{ "code": "au-en", "name": "Australia" },
{ "code": "us-en", "name": "United States" }
],
"count": 64
}
⌘I

